Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class AttList

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.AttList

public class AttList
extends java.lang.Object
implements org.xml.sax.AttributeList

Wraps a DOM attribute list in a SAX AttributeList.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AttList(org.w3c.dom.NamedNodeMap attrs)`

Method Summary
`int` | `getLength()`
`java.lang.String` | `getName(int i)`
`java.lang.String` | `getType(int i)`
`java.lang.String` | `getType(java.lang.String name)`
`java.lang.String` | `getValue(int i)`
`java.lang.String` | `getValue(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttList

    public AttList(org.w3c.dom.NamedNodeMap attrs)

Method Detail

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.xml.sax.AttributeList

### getName

    public java.lang.String getName(int i)

  Specified by:
    getName in interface org.xml.sax.AttributeList

### getType

    public java.lang.String getType(int i)

  Specified by:
    getType in interface org.xml.sax.AttributeList

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    getValue in interface org.xml.sax.AttributeList

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    getType in interface org.xml.sax.AttributeList

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    getValue in interface org.xml.sax.AttributeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD